View a markdown version of this page

UpdatePaymentConnector - Amazon Bedrock AgentCore Control Plane

UpdatePaymentConnector

Updates an existing payment connector. This operation uses PATCH semantics, so you only need to specify the fields you want to change.

Request Syntax

PATCH /payments/managers/paymentManagerId/connectors/paymentConnectorId HTTP/1.1 Content-type: application/json { "clientToken": "string", "credentialProviderConfigurations": [ { ... } ], "description": "string", "type": "string" }

URI Request Parameters

The request uses the following URI parameters.

paymentConnectorId

The unique identifier of the payment connector to update.

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

paymentManagerId

The unique identifier of the parent payment manager.

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

Required: Yes

Request Body

The request accepts the following data in JSON format.

clientToken

A unique, case-sensitive identifier to ensure that the API request completes no more than one time. If you don't specify this field, a value is randomly generated for you. If this token matches a previous request, the service ignores the request, but doesn't return an error. For more information, see Ensuring idempotency.

Type: String

Length Constraints: Minimum length of 33. Maximum length of 256.

Pattern: [a-zA-Z0-9](-*[a-zA-Z0-9]){0,256}

Required: No

credentialProviderConfigurations

The updated credential provider configurations for the payment connector.

Type: Array of CredentialsProviderConfiguration objects

Array Members: Fixed number of 1 item.

Required: No

description

The updated description of the payment connector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 4096.

Pattern: [a-zA-Z0-9\s]+

Required: No

type

The updated type of the payment connector.

Type: String

Valid Values: CoinbaseCDP | StripePrivy

Required: No

Response Syntax

HTTP/1.1 202 Content-type: application/json { "credentialProviderConfigurations": [ { ... } ], "lastUpdatedAt": "string", "name": "string", "paymentConnectorId": "string", "paymentManagerId": "string", "status": "string", "type": "string" }

Response Elements

If the action is successful, the service sends back an HTTP 202 response.

The following data is returned in JSON format by the service.

credentialProviderConfigurations

The credential provider configurations for the updated payment connector.

Type: Array of CredentialsProviderConfiguration objects

Array Members: Fixed number of 1 item.

lastUpdatedAt

The timestamp when the payment connector was last updated.

Type: Timestamp

name

The name of the updated payment connector.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 48.

Pattern: [a-zA-Z][a-zA-Z0-9_]{0,47}

paymentConnectorId

The unique identifier of the updated payment connector.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

paymentManagerId

The unique identifier of the parent payment manager.

Type: String

Length Constraints: Minimum length of 12. Maximum length of 211.

Pattern: ([0-9a-z][-]?){1,100}-[0-9a-z]{10}

status

The current status of the updated payment connector. Possible values include CREATING, READY, UPDATING, DELETING, CREATE_FAILED, UPDATE_FAILED, and DELETE_FAILED.

Type: String

Valid Values: CREATING | UPDATING | DELETING | READY | CREATE_FAILED | UPDATE_FAILED | DELETE_FAILED

type

The type of the updated payment connector.

Type: String

Valid Values: CoinbaseCDP | StripePrivy

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

This exception is thrown when a request is denied per access permissions

HTTP Status Code: 403

ConflictException

This exception is thrown when there is a conflict performing an operation

HTTP Status Code: 409

InternalServerException

This exception is thrown if there was an unexpected error during processing of request

HTTP Status Code: 500

ResourceNotFoundException

This exception is thrown when a resource referenced by the operation does not exist

HTTP Status Code: 404

ServiceQuotaExceededException

This exception is thrown when a request is made beyond the service quota

HTTP Status Code: 402

ThrottlingException

This exception is thrown when the number of requests exceeds the limit

HTTP Status Code: 429

ValidationException

The input fails to satisfy the constraints specified by the service.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: